# kernel-headers are generated from mandriva kernel version %{kver}.%{ever}
%define kver 2.6.27
%define ever 0.rc7.1.1mnb

Summary:	Linux kernel header files for userspace
Name:   	kernel-headers
Epoch:  	1
Version:	%{kver}
Release:	%manbo_mkrel 4
License:	GPL
Group:  	System/Kernel and hardware
URL:    	http://www.kernel.org/
# kernel-headers tarball generated from mandriva kernel in svn with:
# make headers_check
# make INSTALL_HDR_PATH=<path> headers_install_all
# find <path> -name ..install.cmd -exec rm -f {} \;
# find <path> -name .install -exec rm -f {} \;
Source0: 	kernel-headers-%{kver}.%{ever}.tar.bz2
Source1:	make_versionh.sh
Source2:	create_asm_headers.sh
Patch:  	kernel-headers-gnu-extensions.patch
Conflicts:	glibc-devel <= 6:2.7-2mdv2008.1
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Kernel-headers includes the C header files from the Linux kernel. The
header files define structures and constants that are needed for
building most standard programs.

%prep
%setup -q -n %{name}-%{kver}.%{ever}
%patch -p1
%{expand:%(%__cat %{_sourcedir}/make_versionh.sh 2>/dev/null)}
TARGET=%_target_cpu
%{expand:%(%__cat %{_sourcedir}/create_asm_headers.sh 2>/dev/null)}

# Don't include drm headers until libdrm stops to provide them
rm -rf drm

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_includedir}
cp -avf * %{buildroot}/%{_includedir}

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_includedir}/*


%changelog
* Thu Sep 25 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1:2.6.27-4mnb2
+ Revision: 288031
- Sync with latest mandriva kernel (2.6.27-0.rc7.1.1mnb).

* Thu Sep 11 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1:2.6.27-3mnb2
+ Revision: 283657
- Sync with latest Mandriva kernel (2.6.27-0.rc6.1mnb).

* Fri Sep 05 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1:2.6.27-2mnb2
+ Revision: 281647
- Remove drm headers until libdrm stops to provide them.

* Fri Sep 05 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1:2.6.27-1mnb2
+ Revision: 281382
- Sync with latest Mandriva kernel (2.6.27-0.rc5.7.1mnb).
- Cosmetics (spec file policy).

* Wed Jun 25 2008 Luiz Fernando Capitulino <lcapitulino@mandriva.com> 1:2.6.26-2mnb2
+ Revision: 229135
- Add ipt_psd.h and ipt_IFWLOG.h headers (needed by iptables)

* Wed Jun 25 2008 Luiz Fernando Capitulino <lcapitulino@mandriva.com> 1:2.6.26-1mnb2
+ Revision: 229043
- Update to 2.6.26-rc7 kernel headers

* Wed Mar 19 2008 Toshihiro Yamagishi <toshihiro@turbolinux.co.jp> 1:2.6.24-6mnb1
+ Revision: 188987
- replace %%mkrel with %%manbo_mkrel for ManboCore1

* Mon Feb 18 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1:2.6.24-5mdv2008.1
+ Revision: 172125
- Revert last change, until I get an answer from linux-wireless about
  wireless.h being intentionally or not "broken" (may be software using
  it should manually include extra headers like told on comment because
  of glibc).

* Mon Feb 18 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1:2.6.24-4mdv2008.1
+ Revision: 171663
- Don't ship wireless.h header, for userspace use the one from
  wireless-tools.

* Sat Feb 16 2008 Anssi Hannula <anssi@mandriva.org> 1:2.6.24-3mdv2008.1
+ Revision: 169304
- rebuild due to package loss

* Sun Feb 10 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1:2.6.24-2mdv2008.1
+ Revision: 164741
- Fixed undefined LINUX_VERSION_CODE in /usr/include/linux/version.h

* Fri Feb 08 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1:2.6.24-1mdv2008.1
+ Revision: 164135
- Use better versioning, and conflict with old glibc-devel releases that
  had kernel-headers included.
- import kernel-headers


